OpenSubdiv: StencilTableFactoryReal< REAL >::Options Struct Reference

| OpenSubdiv

Loading...
Searching...
No Matches
StencilTableFactoryReal< REAL >::Options Struct Reference

`#include <stencilTableFactory.h>`

## Public Member Functions
| Options ()

## Public Attributes
unsigned int | interpolationMode: 2
| interpolation mode
unsigned int | generateOffsets: 1
| populate optional "_offsets" field
unsigned int | generateControlVerts: 1
| generate stencils for control-vertices
unsigned int | generateIntermediateLevels: 1
| vertices at all levels or highest only
unsigned int | factorizeIntermediateLevels: 1
unsigned int | maxLevel: 4
| generate stencils up to 'maxLevel'
unsigned int | fvarChannel

## Detailed Description

template<typename REAL>
struct OpenSubdiv::OPENSUBDIV_VERSION::Far::StencilTableFactoryReal< REAL >::Options

Definition at line 44 of file stencilTableFactory.h.

## Constructor & Destructor Documentation

## ◆ Options()

template<typename REAL>

Options | ( |  | ) |
| inline

Definition at line 46 of file stencilTableFactory.h.

## Member Data Documentation

## ◆ factorizeIntermediateLevels

template<typename REAL>

unsigned int factorizeIntermediateLevels

accumulate stencil weights from control vertices or from the stencils of the previous level

Definition at line 58 of file stencilTableFactory.h.

## ◆ fvarChannel

template<typename REAL>

unsigned int fvarChannel

face-varying channel to use when generating face-varying stencils

Definition at line 62 of file stencilTableFactory.h.

## ◆ generateControlVerts

template<typename REAL>

unsigned int generateControlVerts

generate stencils for control-vertices

Definition at line 56 of file stencilTableFactory.h.

## ◆ generateIntermediateLevels

template<typename REAL>

unsigned int generateIntermediateLevels

vertices at all levels or highest only

Definition at line 57 of file stencilTableFactory.h.

## ◆ generateOffsets

template<typename REAL>

unsigned int generateOffsets

populate optional "_offsets" field

Definition at line 55 of file stencilTableFactory.h.

## ◆ interpolationMode

template<typename REAL>

unsigned int interpolationMode

interpolation mode

Definition at line 54 of file stencilTableFactory.h.

## ◆ maxLevel

template<typename REAL>

unsigned int maxLevel

generate stencils up to 'maxLevel'

Definition at line 61 of file stencilTableFactory.h.

The documentation for this struct was generated from the following file:

- opensubdiv/far/stencilTableFactory.h